// Copyright (C) 2000
//          by the Massachusetts Institute of Technology
//
//    Export of this software from the United States of America may
//    require a specific license from the United States Government.  It
//    is the responsibility of any person or organization contemplating
//    export to obtain such a license before exporting.
//
// WITHIN THAT CONSTRAINT, permission to use, copy, modify, and
// distribute this software and its documentation for any purpose and
// without fee is hereby granted, provided that the above copyright
// notice appear in all copies and that both that copyright notice and
// this permission notice appear in supporting documentation, and that
// the name of M.I.T. not be used in advertising or publicity pertaining
// to distribution of the software without specific, written prior
// permission.  M.I.T. makes no representations about the suitability of
// this software for any purpose.  It is provided "as is" without express
// or implied warranty.

#include "stdafx.h"
#include "winssh.h"
#include "DlgEncryptSelect.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DlgEncryptSelect dialog


DlgEncryptSelect::DlgEncryptSelect(CWnd* pParent /*=NULL*/)
	: CDialog(DlgEncryptSelect::IDD, pParent)
{
	//{{AFX_DATA_INIT(DlgEncryptSelect)
	//}}AFX_DATA_INIT
}


void DlgEncryptSelect::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DlgEncryptSelect)
	DDX_Control(pDX, IDC_RADIO_TSS, m_ButtonTss);
	DDX_Control(pDX, IDC_RADIO_RC4, m_ButtonRc4);
	DDX_Control(pDX, IDC_RADIO_NONE, m_ButtonNone);
	DDX_Control(pDX, IDC_RADIO_IDEA, m_ButtonIdea);
	DDX_Control(pDX, IDC_RADIO_DES, m_ButtonDes);
	DDX_Control(pDX, IDC_RADIO_BLOWFISH, m_ButtonBlowfish);
	DDX_Control(pDX, IDC_RADIO_3DES, m_Button3Des);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DlgEncryptSelect, CDialog)
	//{{AFX_MSG_MAP(DlgEncryptSelect)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DlgEncryptSelect message handlers

void DlgEncryptSelect::OnOK() 
{
	// TODO: Add extra validation here
	
	CDialog::OnOK();
}
